## libheif 1.11.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)

project(libheif LANGUAGES C CXX VERSION 1.11.0.0)

# https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
cmake_policy(SET CMP0054 NEW)
include(GNUInstallDirs)

# The version number.
set (PACKAGE_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})

# Check for unistd.h

include (${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)

CHECK_INCLUDE_FILE(unistd.h HAVE_UNISTD_H)

if (HAVE_UNISTD_H)
  add_definitions(-DHAVE_UNISTD_H)
endif()


if(NOT MSVC)
  add_definitions(-Wall)
  add_definitions(-Werror)
  add_definitions(-Wsign-compare)
  add_definitions(-Wconversion)
  add_definitions(-Wno-sign-conversion)
  add_definitions(-Wno-error=conversion)
  add_definitions(-Wno-error=unused-parameter)
  add_definitions(-Wno-error=deprecated-declarations)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Create the compile command database for clang by default
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

option(BUILD_SHARED_LIBS "Build shared libraries" ON)

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG(-Wno-error=potentially-evaluated-expression has_potentially_evaluated_expression)
if (has_potentially_evaluated_expression)
  add_definitions(-Wno-error=potentially-evaluated-expression)
endif()

LIST (APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules")

option(WITH_LIBDE265 "Build libde265 decoder" ON)
if (WITH_LIBDE265)
    find_package(Libde265)
endif ()

option(WITH_X265 "Build x265 encoder" ON)
if (WITH_X265)
    find_package(X265)
endif ()

option(WITH_AOM "Build aom encoder/decoder" ON)
if (WITH_AOM)
    find_package(LibAOM)
endif()

option(WITH_RAV1E "Build rav1e encoder" ON)
if (WITH_RAV1E)
    find_package(Rav1e)
endif ()

option(WITH_DAV1D "Build dav1e decoder" ON)
if (WITH_DAV1D)
    find_package(Dav1d)
endif ()

if (LIBDE265_FOUND)
    message("HEIF decoder, libde265: found")
else ()
    message("HEIF decoder, libde265: not found")
endif ()

if (X265_FOUND)
    message("HEIF encoder, x265: found")
else ()
    message("HEIF encoder, x265: not found")
endif ()

if (AOM_ENCODER_FOUND)
    message("AVIF encoder, aom: found")
else ()
    message("AVIF encoder, aom: not found")
endif ()

if (AOM_DECODER_FOUND)
    message("AVIF decoder, aom: found")
else ()
    message("AVIF decoder, aom: not found")
endif ()

if (RAV1E_FOUND)
    message("AVIF encoder, rav1e: found")
else ()
    message("AVIF encoder, rav1e: not found")
endif ()

if (DAV1D_FOUND)
    message("AVIF decoder, dav1d: found")
else ()
    message("AVIF decoder, dav1d: not found")
endif ()


# Create libheif pkgconfig file
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix ${CMAKE_INSTALL_PREFIX})
set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
set(includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR})
if (LIBDE265_FOUND)
    list(APPEND REQUIRES_PRIVATE "libde265")
    set(have_libde265 yes)
else()
    set(have_libde265 no)
endif()
if (X265_FOUND)
    list(APPEND REQUIRES_PRIVATE "x265")
    set(have_x265 yes)
else()
    set(have_x265 no)
endif()
if (AOM_DECODER_FOUND OR AOM_ENCODER_FOUND)
    list(APPEND REQUIRES_PRIVATE "aom")
endif()
if (DAV1D_FOUND)
    list(APPEND REQUIRES_PRIVATE "dav1d")
endif()
if (RAV1E_FOUND)
    list(APPEND REQUIRES_PRIVATE "rav1e")
endif()
if (AOM_DECODER_FOUND OR DAV1D_FOUND)
    set(have_avif_decoder yes)
else()
    set(have_avif_decoder no)
endif()
if (AOM_ENCODER_FOUND OR RAV1E_FOUND)
    set(have_avif_encoder yes)
else()
    set(have_avif_encoder no)
endif()
list(JOIN REQUIRES_PRIVATE " " REQUIRES_PRIVATE)
set(VERSION ${PROJECT_VERSION})

configure_file(libheif.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

option(WITH_EXAMPLES "Build examples" ON)

if(WITH_EXAMPLES)
    add_subdirectory (examples)
endif()
add_subdirectory (libheif)
add_subdirectory (gdk-pixbuf)

=== examples/CMakeLists.txt ===
# Needed to find libheif/heif_version.h while compiling the library
include_directories(${libheif_BINARY_DIR} ${libheif_SOURCE_DIR})

set (heif_convert_sources
  encoder.cc
  encoder.h
  encoder_y4m.cc
  encoder_y4m.h
  heif_convert.cc
)

set (additional_link_directories)
set (additional_libraries)
set (additional_includes)

include (${CMAKE_ROOT}/Modules/FindJPEG.cmake)

if(JPEG_FOUND)
add_definitions(-DHAVE_LIBJPEG=1)
include_directories(SYSTEM ${JPEG_INCLUDE_DIR})

include (${CMAKE_ROOT}/Modules/CheckCXXSourceCompiles.cmake)

set(CMAKE_REQUIRED_LIBRARIES ${JPEG_LIBRARIES})

# while the docs say JPEG_INCLUDE_DIRS, my FindJPEG.cmake script returns it in JPEG_INCLUDE_DIR
set(CMAKE_REQUIRED_INCLUDES ${JPEG_INCLUDE_DIRS} ${JPEG_INCLUDE_DIR})

check_cxx_source_compiles("
#include <stddef.h>
#include <stdio.h>
#include <jpeglib.h>

int main() {
  jpeg_write_icc_profile(NULL, NULL, 0);
  return 0;
}
" HAVE_JPEG_WRITE_ICC_PROFILE)
if(HAVE_JPEG_WRITE_ICC_PROFILE)
  add_definitions(-DHAVE_JPEG_WRITE_ICC_PROFILE=1)
endif()

set (heif_convert_sources
  ${heif_convert_sources}
  encoder_jpeg.cc
  encoder_jpeg.h
)
set (additional_libraries
  ${additional_libraries}
  ${JPEG_LIBRARIES}
)
set (additional_includes
  ${additional_includes}
  ${JPEG_INCLUDE_DIRS}
  ${JPEG_INCLUDE_DIR}
)
endif()

if(UNIX)
  include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
  pkg_check_modules (LIBPNG libpng)
  if(LIBPNG_FOUND)
    add_definitions(-DHAVE_LIBPNG=1)
    set (heif_convert_sources
      ${heif_convert_sources}
      encoder_png.cc
      encoder_png.h
    )
    set (additional_link_directories
      ${additional_link_directories}
      ${LIBPNG_LIBRARY_DIRS}
    )
    set (additional_libraries
      ${additional_libraries}
      ${LIBPNG_LINK_LIBRARIES} ${LIBPNG_LIBRARIES}
    )
    set (additional_includes
      ${additional_includes}
      ${LIBPNG_INCLUDE_DIRS}
    )
  endif()
endif()

set (heif_info_sources
  heif_info.cc
)

set (heif_enc_sources
  heif_enc.cc
)

set (heif_test_sources
  heif_test.cc
)

if(MSVC)
  set (getopt_sources
    ../extra/getopt.c
    ../extra/getopt.h
    ../extra/getopt_long.c
  )
  include_directories ("../extra")
endif()

add_executable (heif-convert ${heif_convert_sources} ${getopt_sources})
target_link_directories (heif-convert PRIVATE ${additional_link_directories})
target_link_libraries (heif-convert heif ${additional_libraries})
target_include_directories(heif-convert PRIVATE ${additional_includes})

add_executable (heif-info ${heif_info_sources} ${getopt_sources})
target_link_libraries (heif-info heif)

add_executable (heif-enc ${heif_enc_sources} ${getopt_sources})
target_link_directories (heif-enc PRIVATE ${additional_link_directories})
target_link_libraries (heif-enc heif ${additional_libraries})
target_include_directories(heif-enc PRIVATE ${additional_includes})

add_executable (heif-test ${heif_test_sources} ${getopt_sources})
target_link_libraries (heif-test heif)


if(LIBPNG_FOUND)
  set (heif_thumbnailer_sources
    encoder.cc
    encoder.h
    heif_thumbnailer.cc
    encoder_png.cc
    encoder_png.h
    )

  add_executable (heif-thumbnailer ${heif_thumbnailer_sources})
  target_link_directories (heif-thumbnailer PRIVATE ${LIBPNG_LIBRARY_DIRS})
  target_link_libraries (heif-thumbnailer heif ${LIBPNG_LINK_LIBRARIES} ${LIBPNG_LIBRARIES})
  target_include_directories(heif-thumbnailer PRIVATE ${LIBPNG_INCLUDE_DIRS})
endif()

=== debian/changelog ===
libheif (1.11.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Dec 2021 11:47:56 -0800

libheif (1.11.0-1) unstable; urgency=medium

  * Imported Upstream version 1.11.0
  * Remove patch applied upstream.
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Tue, 02 Feb 2021 10:28:05 +0100

libheif (1.10.0-2) unstable; urgency=medium

  * Team upload
  * debian/control: Add missing Depends to libheif-dev (Closes: #978176)
  * debian/patches: Initialize valid_values to nullptr

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Jan 2021 15:23:12 +0100

libheif (1.10.0-1) unstable; urgency=medium

  * Imported Upstream version 1.10.0
  * Update "Standards-Version" to 4.5.1
  * Remove patch applied upstream.
  * Update symbols for new upstream version.

 -- Joachim Bauch <bauch@struktur.de>  Wed, 16 Dec 2020 17:23:17 +0100

libheif (1.9.1-1) unstable; urgency=medium

  * Imported Upstream version 1.9.1
  * Update symbols for new upstream version.
  * Build with libde265 >= 1.0.7 to get NCLX API.
  * Update to debhelper compat level 13.
  * Add patch to support building against system-installed dav1d.
  * Build with "libdav1d-dev" to get faster AVIF decoder.

 -- Joachim Bauch <bauch@struktur.de>  Mon, 28 Sep 2020 09:27:40 +0200

=== debian/control ===
Source: libheif
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Joachim Bauch <bauch@struktur.de>
Build-Depends: debhelper-compat (= 12),
               libaom-dev,
               libdav1d-dev,
               libde265-dev (>= 1.0.7),
               libgdk-pixbuf2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libx265-dev,
               pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.libheif.org
Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

Package: libheif1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - shared library
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 This package contains the shared library.

Package: libheif-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libaom-dev,
         libdav1d-dev,
         libde265-dev (>= 1.0.7),
         libheif1 (= ${binary:Version}),
         libx265-dev,
         ${misc:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - development files
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 The development headers for compiling programs that use libheif are provided
 by this package.

Package: libheif-examples
Section: video
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - examples
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 Sample applications using libheif are provided by this package.

Package: heif-thumbnailer
Section: graphics
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - thumbnailer
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A thumbnailer for HEIF images that can be used by Nautilus is provided by this
 package.

Package: heif-gdk-pixbuf
Section: graphics
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - gdk-pixbuf loader
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A gdk-pixbuf loader module for applications such as "gpicview" and "pcmanfm"
 is provided by this package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

PKD = $(abspath $(dir $(MAKEFILE_LIST)))
PKG = $(DEB_SOURCE)
VER = $(DEB_VERSION_UPSTREAM)
COMMIT = $$(git log -1 --pretty=%h)
LAST_TAG=$$(git describe --tags --abbrev=0)
COUNT_SINCE_LAST_TAG=$$(git rev-list $(LAST_TAG).. --count)
BASENAME=$(PKG)_$(VER)+$(COUNT_SINCE_LAST_TAG)+git$(COMMIT)

%:
	dh $@

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

UURL = git://github.com/strukturag/libheif.git
get-head-source:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting.))
	@echo "# Downloading..."
	git clone $(UURL) $(PKG)-$(VER) \
		|| $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
	&& echo "# Checking out commit $(COMMIT)..." \
	&& git checkout -q $(COMMIT) \
	&& echo "# Setting times..." \
	&& git ls-tree -r --name-only HEAD | while read F ; do touch --no-dereference -d "@$$(git log -1 --format="%ct" -- "$$F")" "$$F"; done \
	&& echo "# Writing to $(BASENAME).orig.tar.xz..." \
	&& find -L . -xdev -type f -not -path "*/.git/*" -print | LC_ALL=C sort \
		| XZ_OPT="-6v" tar -caf "../$(BASENAME).orig.tar.xz" -T- --transform "s/^\./$(BASENAME)/g" --owner=root --group=root --mode=a+rX
	@echo "# Cleaning up..." \
	&& $(RM) -r "$(PKG)-$(VER)"

## libheif 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.13)
 
-project(libheif LANGUAGES C CXX VERSION 1.11.0.0)
+project(libheif LANGUAGES C CXX VERSION 1.12.0.0)
 
 # https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
 cmake_policy(SET CMP0054 NEW)
@@ -73,7 +73,7 @@
     find_package(Rav1e)
 endif ()
 
-option(WITH_DAV1D "Build dav1e decoder" ON)
+option(WITH_DAV1D "Build dav1d decoder" ON)
 if (WITH_DAV1D)
     find_package(Dav1d)
 endif ()

=== gdk-pixbuf/CMakeLists.txt ===
if(UNIX)
  find_package(PkgConfig)
  find_package(Threads)
  pkg_check_modules(GDKPIXBUF2 gdk-pixbuf-2.0)

  if(GDKPIXBUF2_FOUND)
    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} gdk-pixbuf-2.0 --variable gdk_pixbuf_moduledir --define-variable=prefix=${CMAKE_INSTALL_PREFIX} OUTPUT_VARIABLE GDKPIXBUF2_MODULE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_library(pixbufloader-heif MODULE pixbufloader-heif.c)

    target_include_directories(pixbufloader-heif
                               PRIVATE
                                   ${GDKPIXBUF2_INCLUDE_DIRS}
                                   ${libheif_BINARY_DIR}
                                   ${libheif_SOURCE_DIR})
    target_link_libraries(pixbufloader-heif PUBLIC ${GDKPIXBUF2_LIBRARIES} heif)

    install(TARGETS pixbufloader-heif LIBRARY DESTINATION ${GDKPIXBUF2_MODULE_DIR})
  endif()
endif()

=== libheif/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

configure_file(heif_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/heif_version.h)

set(libheif_headers
    bitstream.h
    box.h
    error.h
    heif_api_structs.h
    heif_context.h
    heif_cxx.h
    heif_file.h
    heif.h
    heif_image.h
    heif_hevc.h
    heif_avif.h
    heif_colorconversion.h
    heif_plugin_registry.h
    heif_limits.h
    heif_plugin.h
    nclx.h
    logging.h
    ${CMAKE_CURRENT_BINARY_DIR}/heif_version.h)

add_library(heif
    bitstream.cc
    box.cc
    error.cc
    heif.cc
    heif_context.cc
    heif_file.cc
    heif_image.cc
    heif_hevc.cc
    heif_avif.cc
    heif_colorconversion.cc
    heif_plugin_registry.cc
    heif_plugin.cc
    nclx.cc
    ${libheif_headers}
)

# Needed to find libheif/heif_version.h while compiling the library
target_include_directories(heif PRIVATE ${libheif_BINARY_DIR} ${libheif_SOURCE_DIR})

# Propagate include/libheif to consume the headers from other projects
target_include_directories(heif
                           PUBLIC
                               $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/${PROJECT_NAME}>
                               $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
                               $<INSTALL_INTERFACE:include>)

set_target_properties(heif
                      PROPERTIES
                          VERSION ${PROJECT_VERSION}
                          SOVERSION ${PROJECT_VERSION_MAJOR})

target_compile_definitions(heif
                           PUBLIC
                               LIBHEIF_EXPORTS
                               HAVE_VISIBILITY)

if(LIBDE265_FOUND)
    target_compile_definitions(heif PRIVATE HAVE_LIBDE265=1)
    target_sources(heif
                   PRIVATE
                       heif_decoder_libde265.cc
                       heif_decoder_libde265.h)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${LIBDE265_CFLAGS}")

    if (NOT "${LIBDE265_LIBRARY_DIRS}" STREQUAL "")
        set(LIBDE265_LINKDIR "-L${LIBDE265_LIBRARY_DIRS}")
    endif()

    include_directories(SYSTEM ${LIBDE265_INCLUDE_DIR})
    target_link_libraries(heif PRIVATE ${LIBDE265_LIBRARIES} ${LIBDE265_LINKDIR})

    install(FILES heif_decoder_libde265.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

if(X265_FOUND)
    target_compile_definitions(heif PRIVATE HAVE_X265=1)
    target_sources(heif PRIVATE
        heif_encoder_x265.cc
        heif_encoder_x265.h
    )

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${X265_CFLAGS}")

    if (NOT "${X265_LIBRARY_DIRS}" STREQUAL "")
        set(X265_LINKDIR "-L${X265_LIBRARY_DIRS}")
    endif()

    include_directories(SYSTEM ${X265_INCLUDE_DIR})
    target_link_libraries(heif PRIVATE ${X265_LIBRARIES} ${X265_LINKDIR})

    install(FILES heif_encoder_x265.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})
endif()

if(AOM_ENCODER_FOUND OR AOM_DECODER_FOUND)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${AOM_CFLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${AOM_CFLAGS}")

  if (NOT "${AOM_LIBRARY_DIRS}" STREQUAL "")
    set(AOM_LINKDIR "-L${AOM_LIBRARY_DIRS}")
  endif()

  include_directories(SYSTEM ${AOM_INCLUDE_DIR})
  target_link_libraries(heif PRIVATE ${AOM_LIBRARIES} ${AOM_LINKDIR})
endif()
if(AOM_ENCODER_FOUND)
  target_compile_definitions(heif PRIVATE HAVE_AOM_ENCODER=1)
  target_sources(heif PRIVATE
    heif_encoder_aom.cc
    heif_encoder_aom.h
  )
endif()
if(AOM_DECODER_FOUND)
  target_compile_definitions(heif PRIVATE HAVE_AOM_DECODER=1)
  target_sources(heif PRIVATE
    heif_decoder_aom.cc
    heif_decoder_aom.h
  )
endif()

if(RAV1E_FOUND)
    target_compile_definitions(heif PRIVATE HAVE_RAV1E=1)
    target_sources(heif PRIVATE
            heif_encoder_rav1e.cc
            heif_encoder_rav1e.h
            )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${RAV1E_CFLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${RAV1E_CFLAGS}")

    if (NOT "${RAV1E_LIBRARY_DIRS}" STREQUAL "")
        set(RAV1E_LINKDIR "-L${RAV1E_LIBRARY_DIRS}")
    endif()

    include_directories(SYSTEM ${RAV1E_INCLUDE_DIR})
    target_link_libraries(heif PRIVATE ${RAV1E_LIBRARIES} ${RAV1E_LINKDIR})
endif()

if(DAV1D_FOUND)
    target_compile_definitions(heif PRIVATE HAVE_DAV1D=1)
    target_sources(heif PRIVATE
            heif_decoder_dav1d.cc
            heif_decoder_dav1d.h
            )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${DAV1D_CFLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${DAV1D_CFLAGS}")

    if (NOT "${DAV1D_LIBRARY_DIRS}" STREQUAL "")
        set(DAV1D_LINKDIR "-L${DAV1D_LIBRARY_DIRS}")
    endif()

    include_directories(SYSTEM ${DAV1D_INCLUDE_DIR})
    target_link_libraries(heif PRIVATE ${DAV1D_LIBRARIES} ${DAV1D_LINKDIR})
endif ()

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake COMPATIBILITY ExactVersion)

install(TARGETS heif EXPORT ${PROJECT_NAME}-config
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${libheif_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

install(EXPORT ${PROJECT_NAME}-config DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

=== debian/changelog ===
libheif (1.12.0-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 15:51:01 -0700

libheif (1.12.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 31 Aug 2021 22:37:31 +0200

libheif (1.12.0-1) experimental; urgency=medium

  * New upstream version 1.12.0
  * Update symbols for new upstream version.
  * Bump watch file to version 4.

 -- Joachim Bauch <bauch@struktur.de>  Mon, 10 May 2021 15:51:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joachim Bauch <bauch@struktur.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libaom-dev,
                libdav1d-dev,
                libde265-dev (>= 1.0.7),

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 COUNT_SINCE_LAST_TAG=$$(git rev-list $(LAST_TAG).. --count)
 BASENAME=$(PKG)_$(VER)+$(COUNT_SINCE_LAST_TAG)+git$(COMMIT)
 
-%:
-	dh $@
-
 # MX don't need no stinkin' dbgsyms
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
+%:
+	dh $@
 
 UURL = git://github.com/strukturag/libheif.git
 get-head-source:

## libheif 1.13.0

=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
 )
 endif()
 
-if(UNIX)
+if(UNIX OR MINGW)
   include (${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
   pkg_check_modules (LIBPNG libpng)
   if(LIBPNG_FOUND)
@@ -106,14 +106,20 @@
 target_link_directories (heif-convert PRIVATE ${additional_link_directories})
 target_link_libraries (heif-convert heif ${additional_libraries})
 target_include_directories(heif-convert PRIVATE ${additional_includes})
+install(TARGETS heif-convert RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES heif-convert.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
 add_executable (heif-info ${heif_info_sources} ${getopt_sources})
 target_link_libraries (heif-info heif)
+install(TARGETS heif-info RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES heif-info.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
 add_executable (heif-enc ${heif_enc_sources} ${getopt_sources})
 target_link_directories (heif-enc PRIVATE ${additional_link_directories})
 target_link_libraries (heif-enc heif ${additional_libraries})
 target_include_directories(heif-enc PRIVATE ${additional_includes})
+install(TARGETS heif-enc RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+install(FILES heif-enc.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 
 add_executable (heif-test ${heif_test_sources} ${getopt_sources})
 target_link_libraries (heif-test heif)
@@ -132,4 +138,6 @@
   target_link_directories (heif-thumbnailer PRIVATE ${LIBPNG_LIBRARY_DIRS})
   target_link_libraries (heif-thumbnailer heif ${LIBPNG_LINK_LIBRARIES} ${LIBPNG_LIBRARIES})
   target_include_directories(heif-thumbnailer PRIVATE ${LIBPNG_INCLUDE_DIRS})
+  install(TARGETS heif-thumbnailer RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+  install(FILES heif-thumbnailer.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 endif()

=== debian/changelog ===
libheif (1.13.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Joachim Bauch ]
  * New upstream version 1.13.0
  * Update symbols for new upstream version.
  * Update "Standards-Version" to 4.6.1

 -- Joachim Bauch <bauch@struktur.de>  Fri, 02 Sep 2022 13:20:39 +0200

=== debian/control ===
Source: libheif
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Joachim Bauch <bauch@struktur.de>
Build-Depends:
 debhelper-compat (= 13),
 libaom-dev,
 libdav1d-dev,
 libde265-dev (>= 1.0.7),
 libgdk-pixbuf2.0-dev,
 libjpeg-dev,
 libpng-dev,
 libx265-dev,
 pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://www.libheif.org
Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

Package: libheif1
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - shared library
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 This package contains the shared library.

Package: libheif-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends:
 libheif1 (= ${binary:Version}),
 libaom-dev,
 libdav1d-dev,
 libde265-dev (>= 1.0.7),
 libx265-dev,
 ${misc:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - development files
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 The development headers for compiling programs that use libheif are provided
 by this package.

Package: libheif-examples
Section: video
Architecture: any
Depends:
 libheif1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - examples
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 Sample applications using libheif are provided by this package.

Package: heif-thumbnailer
Section: graphics
Architecture: any
Depends:
 libheif1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - thumbnailer
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A thumbnailer for HEIF images that can be used by Nautilus is provided by this
 package.

Package: heif-gdk-pixbuf
Section: graphics
Architecture: any
Depends:
 libheif1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - gdk-pixbuf loader
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A gdk-pixbuf loader module for applications such as "gpicview" and "pcmanfm"
 is provided by this package.

## libheif 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required (VERSION 3.13)
+cmake_minimum_required (VERSION 3.0)
 
-project(libheif LANGUAGES C CXX VERSION 1.12.0.0)
+project(libheif LANGUAGES C CXX VERSION 1.14.0.0)
 
 # https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
-cmake_policy(SET CMP0054 NEW)
+cmake_policy(VERSION 3.0...3.22)
 include(GNUInstallDirs)
 
 # The version number.
@@ -29,6 +29,10 @@
   add_definitions(-Wno-error=conversion)
   add_definitions(-Wno-error=unused-parameter)
   add_definitions(-Wno-error=deprecated-declarations)
+  if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+      add_definitions(-Wno-error=tautological-compare)
+      add_definitions(-Wno-error=tautological-constant-out-of-range-compare)
+  endif ()
 endif()
 
 set(CMAKE_CXX_STANDARD 11)
@@ -53,69 +57,41 @@
 
 LIST (APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules")
 
-option(WITH_LIBDE265 "Build libde265 decoder" ON)
-if (WITH_LIBDE265)
-    find_package(Libde265)
-endif ()
+option(ENABLE_PLUGIN_LOADING "Support loading of plugins" ON)
+set(PLUGIN_DIRECTORY "/usr/local/lib/libheif" CACHE STRING "Plugin install directory")
 
-option(WITH_X265 "Build x265 encoder" ON)
-if (WITH_X265)
-    find_package(X265)
-endif ()
+macro(plugin_option variableName packageName displayName displayType defaultPlugin)
+    option(WITH_${variableName} "Build ${displayName} ${displayType}" ON)
+    option(WITH_${variableName}_PLUGIN "Build ${displayName} as a plugin" ${defaultPlugin})
+    if (WITH_${variableName})
+        find_package(${packageName})
+    endif ()
 
-option(WITH_AOM "Build aom encoder/decoder" ON)
-if (WITH_AOM)
-    find_package(LibAOM)
-endif()
+    if (${variableName}_FOUND AND WITH_${variableName}_PLUGIN)
+        set(msg "found (plugin)")
+    elseif (${variableName}_FOUND)
+        set(msg "found (built-in)")
+    elseif (WITH_${variableName})
+        set(msg "not found")
+    else()
+        set(msg "disabled")
+    endif ()
 
-option(WITH_RAV1E "Build rav1e encoder" ON)
-if (WITH_RAV1E)
-    find_package(Rav1e)
-endif ()
+    message("${displayName} (${displayType}): ${msg}")
+    unset(msg)
+endmacro()
 
-option(WITH_DAV1D "Build dav1d decoder" ON)
-if (WITH_DAV1D)
-    find_package(Dav1d)
-endif ()
-
-if (LIBDE265_FOUND)
-    message("HEIF decoder, libde265: found")
-else ()
-    message("HEIF decoder, libde265: not found")
-endif ()
-
-if (X265_FOUND)
-    message("HEIF encoder, x265: found")
-else ()
-    message("HEIF encoder, x265: not found")
-endif ()
-
-if (AOM_ENCODER_FOUND)
-    message("AVIF encoder, aom: found")
-else ()
-    message("AVIF encoder, aom: not found")
-endif ()
-
-if (AOM_DECODER_FOUND)
-    message("AVIF decoder, aom: found")
-else ()
-    message("AVIF decoder, aom: not found")
-endif ()
-
-if (RAV1E_FOUND)
-    message("AVIF encoder, rav1e: found")
-else ()
-    message("AVIF encoder, rav1e: not found")
-endif ()
-
-if (DAV1D_FOUND)
-    message("AVIF decoder, dav1d: found")
-else ()
-    message("AVIF decoder, dav1d: not found")
-endif ()
+plugin_option(LIBDE265 LIBDE265 "libde265" "HEIC decoder" OFF)
+plugin_option(X265 X265 "x265" "HEIC encoder" OFF)
+plugin_option(DAV1D DAV1D "Dav1d" "AVIF decoder" OFF)
+plugin_option(AOM_ENCODER AOM "aom" "AVIF encoder" OFF)
+plugin_option(AOM_DECODER AOM "aom" "AVIF decoder" OFF)
+plugin_option(SvtEnc SvtEnc "Svt-av1" "AVIF encoder" ON)
+plugin_option(RAV1E RAV1E "Rav1e" "AVIF encoder" ON)
 
 
-# Create libheif pkgconfig file
+# --- Create libheif pkgconfig file
+
 set(prefix ${CMAKE_INSTALL_PREFIX})
 set(exec_prefix ${CMAKE_INSTALL_PREFIX})
 set(libdir ${CMAKE_INSTALL_FULL_LIBDIR})
@@ -141,6 +117,9 @@
 if (RAV1E_FOUND)
     list(APPEND REQUIRES_PRIVATE "rav1e")
 endif()
+if (SvtEnc_FOUND)
+    list(APPEND REQUIRES_PRIVATE "SvtEnc")
+endif()
 if (AOM_DECODER_FOUND OR DAV1D_FOUND)
     set(have_avif_decoder yes)
 else()
@@ -159,10 +138,40 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libheif.pc
         DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
+# ---
+
 option(WITH_EXAMPLES "Build examples" ON)
+
+option(WITH_DEFLATE_HEADER_COMPRESSION OFF)
 
 if(WITH_EXAMPLES)
     add_subdirectory (examples)
 endif()
 add_subdirectory (libheif)
 add_subdirectory (gdk-pixbuf)
+add_subdirectory (gnome)
+
+
+# --- packaging (source code)
+
+set(CPACK_VERBATIM_VARIABLES YES)
+set(CPACK_SOURCE_IGNORE_FILES
+/.git/
+/.github/
+/.gitignore$
+/build/
+/cmake-build.*/
+/.deps/
+/.idea/
+/.clang-tidy
+~$
+/third-party/.*/ # only exclude the sub-directories, but keep the *.cmd files
+/Testing/
+/logos/
+/Makefile$
+/libtool$
+/libheif.pc$
+/config.h$
+stamp-h1$
+)
+include(CPack)

=== libheif/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

configure_file(heif_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/heif_version.h)

set(libheif_headers
    heif.h
    heif_cxx.h
    heif_plugin.h
    ${CMAKE_CURRENT_BINARY_DIR}/heif_version.h)

add_library(heif
    bitstream.cc
    box.cc
    error.cc
    heif.cc
    heif_context.cc
    heif_file.cc
    heif_image.cc
    heif_hevc.cc
    heif_avif.cc
    heif_colorconversion.cc
    heif_plugin_registry.cc
    heif_plugin.cc
    nclx.cc
    bitstream.h
    box.h
    error.h
    heif_api_structs.h
    heif_context.h
    heif_file.h
    heif_image.h
    heif_hevc.h
    heif_avif.h
    heif_colorconversion.h
    heif_plugin_registry.h
    heif_limits.h
    heif_init.cc heif_init.h
    nclx.h
    logging.h
    metadata_compression.cc
    metadata_compression.h
    ${libheif_headers}
    )

# Needed to find libheif/heif_version.h while compiling the library
target_include_directories(heif PRIVATE ${libheif_BINARY_DIR} ${libheif_SOURCE_DIR})

# Propagate include/libheif to consume the headers from other projects
target_include_directories(heif
                           PUBLIC
                               $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/${PROJECT_NAME}>
                               $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
                               $<INSTALL_INTERFACE:include>)

set_target_properties(heif
                      PROPERTIES
                          VERSION ${PROJECT_VERSION}
                          SOVERSION ${PROJECT_VERSION_MAJOR})

target_compile_definitions(heif
                           PUBLIC
                               LIBHEIF_EXPORTS
                               HAVE_VISIBILITY)

add_subdirectory(plugins)

if (ENABLE_PLUGIN_LOADING AND UNIX)
    target_compile_definitions(heif PRIVATE ENABLE_PLUGIN_LOADING=1)
    target_link_libraries(heif PRIVATE dl)
endif()

if (WITH_DEFLATE_HEADER_COMPRESSION)
    find_library(z-lib z)
    target_link_libraries(heif PRIVATE ${z-lib})
    target_compile_definitions(heif PRIVATE WITH_DEFLATE_HEADER_COMPRESSION=1)
endif ()

write_basic_package_version_file(${PROJECT_NAME}-config-version.cmake COMPATIBILITY ExactVersion)

install(TARGETS heif EXPORT ${PROJECT_NAME}-config
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(FILES ${libheif_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

install(EXPORT ${PROJECT_NAME}-config DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake DESTINATION
    "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

=== libheif/plugins/CMakeLists.txt ===

macro(plugin_compilation name varName optionName defineName)
    if (${varName}_FOUND)
        if (NOT "${${varName}_LIBRARY_DIRS}" STREQUAL "")
            set(${varName}_LINKDIR "-L${${varName}_LIBRARY_DIRS}")
        endif ()

        if (WITH_${optionName}_PLUGIN)
            add_library(heif-${name}
                    MODULE ${${optionName}_sources} ${${optionName}_extra_plugin_sources}
                    ../heif_plugin.cc
                    )
            set_target_properties(heif-${name}
                    PROPERTIES
                    VERSION ${PROJECT_VERSION}
                    SOVERSION ${PROJECT_VERSION_MAJOR})
            target_compile_definitions(heif-${name}
                    PUBLIC
                    LIBHEIF_EXPORTS
                    HAVE_VISIBILITY)
            target_compile_definitions(heif-${name} PRIVATE PLUGIN_${defineName}=1)
            target_include_directories(heif-${name} PRIVATE ${PROJECT_SOURCE_DIR} ${libheif_BINARY_DIR} ${libheif_SOURCE_DIR} ${${varName}_INCLUDE_DIR})
            target_link_libraries(heif-${name} PRIVATE ${${varName}_LIBRARIES} ${${varName}_LINKDIR})

            install(TARGETS heif-${name}
                    LIBRARY DESTINATION ${PLUGIN_DIRECTORY}
                    )
        else ()
            target_sources(heif PRIVATE ${${optionName}_sources})
            target_compile_definitions(heif PRIVATE HAVE_${defineName}=1)
            target_include_directories(heif PRIVATE ${${varName}_INCLUDE_DIR})
            target_link_libraries(heif PRIVATE ${${varName}_LIBRARIES} ${${varName}_LINKDIR})
        endif ()

        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${${varName}_CFLAGS}")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${${varName}_CFLAGS}")
    endif ()
endmacro()


set(X265_sources heif_encoder_x265.h heif_encoder_x265.cc)
set(X265_extra_plugin_sources)
plugin_compilation(x265 X265 X265 X265)

set(LIBDE265_sources heif_decoder_libde265.cc heif_decoder_libde265.h)
set(LIBDE265_extra_plugin_sources ../heif_image.cc ../error.cc)
plugin_compilation(libde265 LIBDE265 LIBDE265 LIBDE265)

set(DAV1D_sources heif_decoder_dav1d.cc heif_decoder_dav1d.h)
set(DAV1D_extra_plugin_sources)
plugin_compilation(dav1d DAV1D DAV1D DAV1D)

set(AOM_DECODER_sources heif_decoder_aom.cc heif_decoder_aom.h)
set(AOM_DECODER_extra_plugin_sources)
plugin_compilation(aomdec AOM AOM_DECODER AOM_DECODER)

set(AOM_ENCODER_sources heif_encoder_aom.cc heif_encoder_aom.h)
set(AOM_ENCODER_extra_plugin_sources ../heif_avif.cc ../error.cc)
plugin_compilation(aomenc AOM AOM_ENCODER AOM_ENCODER)

set(SvtEnc_sources heif_encoder_svt.cc heif_encoder_svt.h)
set(SvtEnc_extra_plugin_sources)
plugin_compilation(svtenc SvtEnc SvtEnc SvtEnc)

set(RAV1E_sources heif_encoder_rav1e.cc heif_encoder_rav1e.h)
set(RAV1E_extra_plugin_sources ../box.cc ../error.cc)
plugin_compilation(rav1e RAV1E RAV1E RAV1E)

=== debian/changelog ===
libheif (1.14.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.14.0

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 16:23:52 -0800

=== debian/control ===
Source: libheif
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Joachim Bauch <bauch@struktur.de>
Build-Depends: debhelper-compat (= 13),
               libaom-dev (>= 3.5.0),
               libdav1d-dev,
               libde265-dev (>= 1.0.7),
               libgdk-pixbuf2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libx265-dev,
               pkg-config
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://www.libheif.org
Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

Package: libheif1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - shared library
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 This package contains the shared library.

Package: libheif-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libaom-dev,
         libdav1d-dev,
         libde265-dev (>= 1.0.7),
         libheif1 (= ${binary:Version}),
         libx265-dev,
         ${misc:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - development files
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 The development headers for compiling programs that use libheif are provided
 by this package.

Package: libheif-examples
Section: video
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - examples
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 Sample applications using libheif are provided by this package.

Package: heif-thumbnailer
Section: graphics
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - thumbnailer
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A thumbnailer for HEIF images that can be used by Nautilus is provided by this
 package.

Package: heif-gdk-pixbuf
Section: graphics
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - gdk-pixbuf loader
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A gdk-pixbuf loader module for applications such as "gpicview" and "pcmanfm"
 is provided by this package.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 COUNT_SINCE_LAST_TAG=$$(git rev-list $(LAST_TAG).. --count)
 BASENAME=$(PKG)_$(VER)+$(COUNT_SINCE_LAST_TAG)+git$(COMMIT)
 
-# MX don't need no stinkin' dbgsyms
+%:
+	dh $@
+
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-
-%:
-	dh $@
 
 UURL = git://github.com/strukturag/libheif.git
 get-head-source:
